Problema

Al migrar contenido de AEM 6.0, 6.1 o 6.2 a AEM 6.3 utilizando la utilidad CRX2Oak, se observa el siguiente error:

22.08.2017 11:25:16.256 ERROR c.a.g.c.c.MigrationSpecGenerator: Error de E/S durante el procesamiento de la especificación de migración: org.apache.jackrabbit.oak.segment.file.InvalidFileStoreVersionException: Usar oak-segment-tar, pero se debe usar oak-segment

Entorno

CRX2Oak-1.6.x se utiliza para migrar de AEM 6.0-6.2 a 6.3 o a una versión futura.

Causa

Falta un parámetro en el comando CRX2Oak.

Resolución

Añada "segment-old:" antes de la ruta de la fuente en el comando CRX2Oak de esta manera (ver texto resaltado abajo):

java -Xmx1g -jar crx2oak-1.6.8-all-in-one.jar --include-paths=/content/geometrixx segment-old:/opt/old-aem/repository /opt/aem63/crx-quickstart/repository

Esta obra está autorizada con arreglo a la licencia de Reconocimiento-NoComercial-CompartirIgual 3.0 Unported de Creative Commons.  Los términos de Creative Commons no cubren las publicaciones en Twitter™ y Facebook.

Avisos legales   |   Política de privacidad en línea